%---------------ASF.m------------------
%-----------Ole Kristian Nordvg-------
%--------------22.05.2012--------------

clear all
clc
format long

%Rx: CO + UH2 --> p1C1 + p2C2 + ... + p20C20 +sum(pnuCnu) + H2O
%ASF distribution
alfa=0.90;
N=21;

%average carbon number of lump
Xnu=N+(alfa/(1-alfa))
U=3-alfa
%calculating pi values

for i=1:N-1
    p(i)=(1-alfa)^2*(alfa^(i-1));
end

for i=N:999
    pnu(i)=(1-alfa)^2*(alfa^(i-1));
end
    
disp (p)
pn=sum(pnu)

%checking if the sum adds up to 1
for i=1:999
    p(i)=(1-alfa)^2*(alfa^(i-1));
    y(i)=sum(i*p(i));
end
 Y=sum(y(1:i))

